package com.zoro.mutiDb.conf;

import com.alibaba.druid.pool.DruidDataSource;
import com.alibaba.druid.spring.boot.autoconfigure.DruidDataSourceBuilder;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.boot.jdbc.DataSourceBuilder;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Primary;

import javax.sql.DataSource;
import java.util.HashMap;

@Configuration
public class DataSourceConfig {
//    @Value("${spring.datasource.druid.master1.url}")
//    private String urlO;
//    @Value("${spring.datasource.druid.master2.url}")
//    private String urlD;
//    @Value("${spring.datasource.druid.master1.username}")
//    private String usernameO;
//    @Value("${spring.datasource.druid.master2.username}")
//    private String usernameD;
//    @Value("${spring.datasource.druid.master1.password}")
//    private String passwordO;
//    @Value("${spring.datasource.druid.master2.password}")
//    private String passwordD;
//    @Value("${spring.datasource.druid.master1.driver-class-name}")
//    private String driverO;
//    @Value("${spring.datasource.druid.master2.driver-class-name}")
//    private String driverD;

    @Bean
    @ConfigurationProperties(prefix = "spring.datasource.druid.master1")
    public DataSource masterOracleDataSource() {
        return DruidDataSourceBuilder.create().build();
        //return DataSourceBuilder.create().url("jdbc:oracle:thin:@//10.114.4.56/shhwdb").username("ghjg_basics").password("GHJG@123").driverClassName("oracle.jdbc.OracleDriver").build();
    }

    @Bean
    @ConfigurationProperties(prefix = "spring.datasource.druid.master2")
    public DataSource masterDMDataSource() {
        return DruidDataSourceBuilder.create().build();
        //return DataSourceBuilder.create().url("jdbc:dm://10.83.249.78:32141?zeroDateTimeBehavior=convertToNull&useUnicode=true&characterEncoding=utf-8").username("SYSDBA").password("Zfzd_666").driverClassName("dm.jdbc.driver.DmDriver").build();
    }

//    @Bean(name = "dynamicDataSource")
//    @Primary
//    public DynamicDataSource createDynamicDataSource() {
//        HashMap<Object, Object> dataSourceMap = new HashMap<>();
//        DataSource masterDm = masterDMDataSource();
//        DataSource masterOracle = masterOracleDataSource();
//        dataSourceMap.put("oracle",masterOracle);
//        dataSourceMap.put("dm",masterDm);
//        return new DynamicDataSource(masterOracle,dataSourceMap);
//    }
}
